/**
 * @internal
 * Prefix for logger
 */
export const SYSTEM_HEALTH_ALERTS_SERVER_LOGGER_PREFIX = 'SERVICE - ';
/**
 * @public
 * Events names
 */
export const SYSTEM_HEALTH_ALERTS_SERVER_EVENTS_NAMES = {
    CHANGED: 'changed',
    UP: 'up',
    DOWN: 'down',
    UNKNOWN: 'unknown',
    CLOSE: 'alert-close',
};
/**
 * @public
 * Default server status.
 */
export const SYSTEM_HEALTH_ALERTS_SERVER_DEFAULT_STATUS = 'unknown';
/**
 * @public
 * Available status of server.
 */
export const SYSTEM_HEALTH_ALERTS_SERVER_STATUSES = {
    UNKNOWN: SYSTEM_HEALTH_ALERTS_SERVER_DEFAULT_STATUS,
    UP: 'restored',
    DOWN: 'failed',
};
/**
 * @internal
 * Default timeout for closing message
 */
export const SYSTEM_HEALTH_ALERTS_SERVER_CLOSE_TIMEOUT = 10000;
